-------------------------------------------------------------------------------
-- ofdm_agc_mimo_opbw_0_wrapper.vhd
-------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

library UNISIM;
use UNISIM.VCOMPONENTS.ALL;

library ofdm_agc_mimo_opbw_v1_03_a;
use ofdm_agc_mimo_opbw_v1_03_a.All;

entity ofdm_agc_mimo_opbw_0_wrapper is
  port (
    ce : in std_logic;
    i_in_a : in std_logic_vector(0 to 13);
    i_in_b : in std_logic_vector(0 to 13);
    opb_abus : in std_logic_vector(0 to 31);
    opb_be : in std_logic_vector(0 to 3);
    opb_clk : in std_logic;
    opb_dbus : in std_logic_vector(0 to 31);
    opb_rnw : in std_logic;
    opb_rst : in std_logic;
    opb_select : in std_logic;
    opb_seqaddr : in std_logic;
    packet_in : in std_logic;
    q_in_a : in std_logic_vector(0 to 13);
    q_in_b : in std_logic_vector(0 to 13);
    reset_in : in std_logic;
    rssi_in_a : in std_logic_vector(0 to 9);
    rssi_in_b : in std_logic_vector(0 to 9);
    done_a : out std_logic;
    done_b : out std_logic;
    g_bb_a : out std_logic_vector(0 to 4);
    g_bb_b : out std_logic_vector(0 to 4);
    g_rf_a : out std_logic_vector(0 to 1);
    g_rf_b : out std_logic_vector(0 to 1);
    i_out_a : out std_logic_vector(0 to 13);
    i_out_b : out std_logic_vector(0 to 13);
    q_out_a : out std_logic_vector(0 to 13);
    q_out_b : out std_logic_vector(0 to 13);
    rxhp_a : out std_logic;
    rxhp_b : out std_logic;
    sgp_dbus : out std_logic_vector(0 to 31);
    sgp_errack : out std_logic;
    sgp_retry : out std_logic;
    sgp_toutsup : out std_logic;
    sgp_xferack : out std_logic
  );
end ofdm_agc_mimo_opbw_0_wrapper;

architecture STRUCTURE of ofdm_agc_mimo_opbw_0_wrapper is

  component ofdm_agc_mimo_opbw is
    generic (
      C_BASEADDR : std_logic_vector(0 to 31);
      C_HIGHADDR : std_logic_vector(0 to 31);
      C_OPB_AWIDTH : INTEGER;
      C_OPB_DWIDTH : INTEGER
    );
    port (
      ce : in std_logic;
      i_in_a : in std_logic_vector(0 to 13);
      i_in_b : in std_logic_vector(0 to 13);
      opb_abus : in std_logic_vector(0 to 31);
      opb_be : in std_logic_vector(0 to 3);
      opb_clk : in std_logic;
      opb_dbus : in std_logic_vector(0 to 31);
      opb_rnw : in std_logic;
      opb_rst : in std_logic;
      opb_select : in std_logic;
      opb_seqaddr : in std_logic;
      packet_in : in std_logic;
      q_in_a : in std_logic_vector(0 to 13);
      q_in_b : in std_logic_vector(0 to 13);
      reset_in : in std_logic;
      rssi_in_a : in std_logic_vector(0 to 9);
      rssi_in_b : in std_logic_vector(0 to 9);
      done_a : out std_logic;
      done_b : out std_logic;
      g_bb_a : out std_logic_vector(0 to 4);
      g_bb_b : out std_logic_vector(0 to 4);
      g_rf_a : out std_logic_vector(0 to 1);
      g_rf_b : out std_logic_vector(0 to 1);
      i_out_a : out std_logic_vector(0 to 13);
      i_out_b : out std_logic_vector(0 to 13);
      q_out_a : out std_logic_vector(0 to 13);
      q_out_b : out std_logic_vector(0 to 13);
      rxhp_a : out std_logic;
      rxhp_b : out std_logic;
      sgp_dbus : out std_logic_vector(0 to 31);
      sgp_errack : out std_logic;
      sgp_retry : out std_logic;
      sgp_toutsup : out std_logic;
      sgp_xferack : out std_logic
    );
  end component;

  attribute x_core_info : STRING;
  attribute x_core_info of ofdm_agc_mimo_opbw : component is "ofdm_agc_mimo_opbw_v1_03_a";

begin

  ofdm_agc_mimo_opbw_0 : ofdm_agc_mimo_opbw
    generic map (
      C_BASEADDR => X"74000000",
      C_HIGHADDR => X"7400ffff",
      C_OPB_AWIDTH => 32,
      C_OPB_DWIDTH => 32
    )
    port map (
      ce => ce,
      i_in_a => i_in_a,
      i_in_b => i_in_b,
      opb_abus => opb_abus,
      opb_be => opb_be,
      opb_clk => opb_clk,
      opb_dbus => opb_dbus,
      opb_rnw => opb_rnw,
      opb_rst => opb_rst,
      opb_select => opb_select,
      opb_seqaddr => opb_seqaddr,
      packet_in => packet_in,
      q_in_a => q_in_a,
      q_in_b => q_in_b,
      reset_in => reset_in,
      rssi_in_a => rssi_in_a,
      rssi_in_b => rssi_in_b,
      done_a => done_a,
      done_b => done_b,
      g_bb_a => g_bb_a,
      g_bb_b => g_bb_b,
      g_rf_a => g_rf_a,
      g_rf_b => g_rf_b,
      i_out_a => i_out_a,
      i_out_b => i_out_b,
      q_out_a => q_out_a,
      q_out_b => q_out_b,
      rxhp_a => rxhp_a,
      rxhp_b => rxhp_b,
      sgp_dbus => sgp_dbus,
      sgp_errack => sgp_errack,
      sgp_retry => sgp_retry,
      sgp_toutsup => sgp_toutsup,
      sgp_xferack => sgp_xferack
    );

end architecture STRUCTURE;

